- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists inventory source deals.
HTTP request
GET https://displayvideo.googleapis.com/v5/partners/{partnerId}/inventorySources
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
Required. Identifies which DV360 entity the request is being made within. The LIST request will only return inventory source entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: |
|
partnerId |
The ID of the DV360 partner. |
| End of mutually exclusive fields. | |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Must be between |
pageToken |
Optional. A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Optional. Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, |
filter |
Optional. Allows filtering by inventory source fields. Supported syntax:
Supported fields:
Examples:
The length of this field should be no more than 500 characters. Reference our filter |
Required. Identifies which DV360 entity the request is being made within. The LIST request will only return inventory source entities that are accessible to the DV360 entity identified within the accessor. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: |
|
advertiserId |
The ID of the DV360 advertiser. |
| End of mutually exclusive fields. | |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListInventorySourceDealsResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.